# setup.py
from setuptools import setup, find_packages

setup(
    name="chatfilter",
    version="0.1.2",
    description="A command-line chatbot with profanity filtering using Gemini API",
    author="Amity",
    author_email="bradlycolinturner@gmail.com",
    packages=find_packages(),
    install_requires=[
        "profanityfilter",
        "google-genai",  # Adjust the package name as needed if it's different.
        "keyring"
    ],
    entry_points={
        'console_scripts': ['chatfilter = chatfilter.cli:main'],
    }
)
